import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { components, useClassName } from 'fastui';
export const Footer = (props) => {
    const links = props.links.map((link) => {
        link.mode = link.mode || 'footer';
        return link;
    });
    const extraProp = useClassName(props, { el: 'extra' });
    return (_jsxs("footer", { className: useClassName(props), children: [_jsx("ul", { className: useClassName(props, { el: 'link-list' }), children: links.map((link, i) => (_jsx("li", { className: "nav-item", children: _jsx(components.LinkComp, { ...link }) }, i))) }), props.extraText && _jsx("div", { className: extraProp, children: props.extraText })] }));
};
