import { FC } from 'react';
import type { ServerLoad } from '../models';
import { Method } from '../tools';
export declare const ServerLoadComp: FC<ServerLoad>;
interface FetchProps {
    path: string;
    devReload?: number;
    method?: Method;
}
export declare const ServerLoadFetch: FC<FetchProps>;
interface SSEProps {
    path: string;
    method?: Method;
    sseRetry?: number;
}
export declare const ServerLoadSSE: FC<SSEProps>;
export {};
