import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { LinkComp, LinkRender } from './link';
export const NavbarComp = (props) => {
    const startLinks = props.startLinks.map((link) => {
        link.mode = link.mode || 'navbar';
        return link;
    });
    const endLinks = props.endLinks.map((link) => {
        link.mode = link.mode || 'navbar';
        return link;
    });
    return (_jsx("nav", { className: useClassName(props), children: _jsxs("div", { className: useClassName(props, { el: 'contents' }), children: [_jsx(NavbarTitle, { ...props }), startLinks.map((link, i) => (_jsx(LinkComp, { ...link }, i))), endLinks.map((link, i) => (_jsx(LinkComp, { ...link }, i)))] }) }));
};
const NavbarTitle = (props) => {
    const { title, titleEvent } = props;
    const className = useClassName(props, { el: 'title' });
    if (title) {
        if (titleEvent) {
            return (_jsx(LinkRender, { onClick: titleEvent, className: className, children: title }));
        }
        else {
            return _jsx("span", { className: className, children: title });
        }
    }
};
